%define name        cpan-upload
%define version     2.2
%define release     %mkrel 8

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Upload one or more files to CPAN, using PAUSE
License:    GPL or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/scripts
Source:     http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/scripts/%{name}-%{version}.tar.gz
BuildRequires: perl(AppConfig::Std) >= 1.05
BuildRequires: perl(Pod::Usage) >= 1.14
BuildRequires: perl(Net::FTP) >= 2.28
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(File::Basename) >= 2.28
BuildRequires: perl(Term::ReadKey)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}
Conflicts:    perl-CPAN-Uploader

%description
cpan-upload is a script which automates the process of uploading a file to
CPAN using PAUSE, the Perl Authors Upload Server.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/*/*
%{_bindir}/%name



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.2-8.mga4
+ Revision: 503486
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2-7.mga3
+ Revision: 348210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 27 2011 misc <misc> 2.2-6.mga2
+ Revision: 129930
- fix file conflict

* Sun May 08 2011 nanardon <nanardon> 2.2-5.mga1
+ Revision: 96191
- imported package cpan-upload


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2-5mdv2011.0
+ Revision: 617434
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 2.2-4mdv2010.0
+ Revision: 425081
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.2-3mdv2009.0
+ Revision: 243696
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 2.2-1mdv2008.1
+ Revision: 168407
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 25 2007 Olivier Thauvin <nanardon@mandriva.org> 2.2-1mdv2008.0
+ Revision: 55259
- initial mdv pkg
- Create cpan-upload

